# log4cpp::Layout Class Reference

Extend this abstract class to create your own log layout format. More...

`#include <Layout.hh>`

Inheritance diagram for log4cpp::Layout:

[legend]
List of all members.

## Public Member Functions

virtual | ~Layout ()
| Destructor for Layout.
virtual std::string | format (const LoggingEvent &event)=0
| Formats the LoggingEvent data to a string that appenders can log.

## Detailed Description

Extend this abstract class to create your own log layout format.

## Constructor & Destructor Documentation

virtual log4cpp::Layout::~Layout | ( |  | ) | `[inline, virtual]`

Destructor for Layout.

## Member Function Documentation

virtual std::string log4cpp::Layout::format | ( | const LoggingEvent & | event | ) | `[pure virtual]`

Formats the LoggingEvent data to a string that appenders can log.

Implement this method to create your own layout format.

Parameters:

  | event | The LoggingEvent.

Returns:
  an appendable string.

Implemented in log4cpp::BasicLayout, log4cpp::PassThroughLayout, log4cpp::PatternLayout, and log4cpp::SimpleLayout.

The documentation for this class was generated from the following file:

- Layout.hh